﻿.relative {
    position: relative;
}
#loading {
    position: absolute;
    width: 100%;
    height: 100%;
}

.loader-ring {
    position: absolute;
    top: 50%;
    left: 50%;
    margin: -80px 0 0 -80px;
    width: 160px;
    height: 160px;
}
.loader-ring-text {
    position:relative;
    margin:auto;
    font-size:16px;
    color:#FFFFFF;
}

.loader-ring-light {
    width: 160px;
    height: 160px;
    -moz-border-radius: 160px;
    -webkit-border-radius: 160px;
    border-radius: 160px;
    -moz-box-shadow: 0 4px 0 #00abf2 inset;
    -webkit-box-shadow: 0 4px 0 #00abf2 inset;
    box-shadow: 0 4px 0 #00abf2 inset;
    animation: rotate-360 2s linear infinite;
}

.loader-ring-track {
    position: absolute;
    top: 0;
    left: 0;
    width: 160px;
    height: 160px;
    -moz-border-radius: 160px;
    -webkit-border-radius: 160px;
    border-radius: 160px;
    -moz-box-shadow: 0 0 10px 4px rgba(0, 0, 0, 0.3) inset;
    -webkit-box-shadow: 0 0 10px 4px rgba(0, 0, 0, 0.3) inset;
    box-shadow: 0 0 10px 4px rgba(0, 0, 0, 0.3) inset;
    margin: auto;
    text-align: center;
    line-height: 160px;
    background-color: #00000077;
}
.loader-ring-cancle {
    position: absolute;
    top: 100px;
    left: 0;
    width: 160px;
    height: 45px;
    -moz-border-radius: 160px;
    -webkit-border-radius: 45px;
    /* border-radius: 160px; */
    /* -moz-box-shadow: 0 0 10px 4px rgba(0, 0, 0, 0.3) inset;
    -webkit-box-shadow: 0 0 10px 4px rgba(0, 0, 0, 0.3) inset; */
    /* box-shadow: 0 0 10px 4px rgba(0, 0, 0, 0.3) inset; */
    margin: auto;
    text-align: center;
    line-height: 160px;
    /* background-color: #00000077; */
}
@keyframes rotate-360 {
    from {
        -moz-transform: rotate(0);
        -ms-transform: rotate(0);
        -webkit-transform: rotate(0);
        transform: rotate(0);
    }

    to {
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

.load {
        width: 100%;
        height: 100vh;
        position: fixed;
        top: 0;
        z-index: 10000;
        //display: none;
        background-color: rgba(0, 0, 0, 0.1);
    }

.loader {
    width: 140px;
    height: 140px;
    /* border: 1px solid red; */
    text-align: center;
    position: absolute;
    top: calc(50% - 70px);
    left: calc(50% - 70px);
    border-radius: 10px;
    background-color: rgba(0, 0, 0, 0.5);
}
.remind {
    top: 50px;
    /*width:100%;*/
    justify-content:center;
    display: -webkit-flex;
    position: absolute;
}
.measurePrompt {
    justify-content: center;
    display: -webkit-flex;
    position: absolute;
    width: 100%;
    background-color: rgba(0,0,0,0.4);
}
.measurePrompt-title {
    color: rgba(255,255,255,1);
    font-size: 18px;
    height: 36px;
    text-align: center;
    line-height: 36px;
    display: inline-block;
    margin: 0 auto;
    padding: 0px 10px 0px 10px;
}
.remind-title {
    color: #fff;
    font-size: 18px;
    height: 40px;
    text-align: center;
    line-height: 40px;
    display: inline-block;
    margin: 0 auto;
    background-color: rgba(0,0,0,0.8);
    padding: 0px 10px 0px 10px;
    border-radius: 5px;
}
@media (max-width: 600px) {
    .remind-title {
        font-size: 12px;
    }
}

#loader-1 {
    /*position: absolute;
    width: 22.5px;
    height: 45px;
    border: 5px solid white;
    border-radius: 100% 0 0 100%/50%;
    border-right: none;
    top: calc(50% - 22.5px);
    left: calc(50% - 22.5px);
    animation: svg-rotate-360 0.8s linear infinite;
    transform-origin: 100% 00%;
    -webkit-transform-origin: 100% 50%;
    -ms-transform-origin: 100% 50%;
    -moz-transform-origin: 100% 50%;*/
}
.waring {
    /* border: 1px solid red; */
    text-align: center;
    position: absolute;
    top: calc(50% - 80px);
    left: calc(50% - 80px);
    background-color: rgba(0, 0, 0, 0.5);
    border-radius: 10px;
}

#warning-success {
    position: absolute;
    width: 45px;
    height: 45px;
    top: calc(50% - 45px);
    left: calc(50% - 24px);
    transform-origin: 100% 00%;
}
#warning-error {
    position: absolute;
    width: 45px;
    height: 45px;
    top: calc(50% - 45px);
    left: calc(50% - 24px);
    transform-origin: 100% 00%;
}

    .load-title {
        height: 40px;
        line-height: 50px;
        color: #fff;
        font-size: 13px;
        /* margin-top: 20px; */
    }

    .load-cancle {
        position: absolute;
        width:140px;
        height: 50px;
        line-height: 50px;
        color: #fff;
        font-size: 13px;
        bottom:-10px;
        left: 0px;
        /* margin-top: 20px; */
    }
    
    @keyframes svg-rotate-360 {
        from {
            -moz-transform: rotate(0);
            -ms-transform: rotate(0);
            -webkit-transform: rotate(0);
            transform: rotate(0);
        }

        to {
            -moz-transform: rotate(360deg);
            -ms-transform: rotate(360deg);
            -webkit-transform: rotate(360deg);
            transform: rotate(360deg);
        }
    }
